
/*===============================================================
	image - text
===============================================================*/
.paragraph-img-txt{
  align-items: inherit;
justify-content: space-between;
flex-wrap: wrap;
display: flex;
gap:var(--gapsmall) var(--gap)
}

.paragraph-img-txt-image{
line-height: 1px;

  background-repeat:no-repeat;
background-position: center center ; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;

}

/* top */

.paragraph--position--top .paragraph-img-txt-image{  order: 0;width:100%;}
.paragraph--position--top .paragraph-img-txt-body{  order: 1;width:100%;  align-self: start;}

/* bottom */

.paragraph--position--bottom .paragraph-img-txt-body{  order: 0;width:100%;}
.paragraph--position--bottom .paragraph-img-txt-image{  order: 1;width:100%;}

/*left */

 


.paragraph--position--left .paragraph-img-txt-body{  
	order: 1;  align-self: center;
	width:calc(50% - var(--gapsmall) - var(--gapsmall)); 
}

.paragraph--position--left .paragraph-img-txt-image{  
	order: 0;
	width:calc(50% - var(--gapsmall) + var(--gapsmall)); 
	text-align: left; 
}

.paragraph--position--left_small .paragraph-img-txt-body{  
	order: 1;  align-self: center;
	width:calc(50% - var(--gapsmall)); 
}

.paragraph--position--left_small .paragraph-img-txt-image{  
	order: 0;
	width:calc(50% - var(--gapsmall)); 
	text-align: left; 
}



/*right*/

.paragraph--position--right_small .paragraph-img-txt,
.paragraph--position--right .paragraph-img-txt{gap:var(--gapsmall) var(--gap);}

.paragraph--position--right .paragraph-img-txt-image{  
	order: 1; 
	width:calc(50% - var(--gapsmall) + var(--gapsmall)); 
	text-align: right; 
}

.paragraph--position--right .paragraph-img-txt-body{  
	order: 0;  align-self: center;
	width:calc(50% - var(--gapsmall) - var(--gapsmall));
}

.paragraph--position--right_small .paragraph-img-txt-image{  
	order: 1; 
	width:calc(50% - var(--gapsmall)); 
	text-align: right; 
}

.paragraph--position--right_small .paragraph-img-txt-body{  
	order: 0;  align-self: center;
	width:calc(50% - var(--gapsmall));
}

 


 


@media all and (min-width: 720px) {

.paragraph--position--right_small .paragraph-img-txt-image2,
.paragraph--position--left_small .paragraph-img-txt-image2,
.paragraph--position--right .paragraph-img-txt-image2,
.paragraph--position--left .paragraph-img-txt-image2{  
 padding-bottom:0px !important;
/*min-height:500px;*/
}

}


@media all and (max-width: 720px) {


/* left */

.paragraph--position--left_small .paragraph-img-txt-image{ order: 1; width:100%;  text-align: center;}
.paragraph--position--left_small .paragraph-img-txt-body{ order: 0;  width:100%;  }

.paragraph--position--left .paragraph-img-txt-image{ order: 1; width:100%;  text-align: center;}
.paragraph--position--left .paragraph-img-txt-body{ order: 0; width:100%;  }


/* right */

.paragraph--position--right_small .paragraph-img-txt-image{ order: 1; width:100%;  text-align: center;}
.paragraph--position--right_small .paragraph-img-txt-body{ order: 0; width:100%;  }


.paragraph--position--right .paragraph-img-txt-image{ order: 1; width:100%;  text-align: center;}
.paragraph--position--right .paragraph-img-txt-body{ order: 0; width:100%;  }


}


/*===============================================================
	content rows
===============================================================*/


.paragraph--position--two > .paragraph-content > .paragraph-content-list{
	align-items: inherit;
	justify-content: start;
	display: flex;
    gap:var(--gapsmall) var(--gap);
}


.paragraph--position--four > .paragraph-content > .paragraph-content-list,
.paragraph--position--three > .paragraph-content > .paragraph-content-list{
	align-items: inherit;
	justify-content: start;
	flex-wrap: wrap;
	display: flex;
    gap:var(--gapsmall) var(--gapsmall);
}

.paragraph--position--two > .paragraph-content > .paragraph-content-list > div ,
.paragraph--position--three > .paragraph-content > .paragraph-content-list  > div,
.paragraph--position--four > .paragraph-content > .paragraph-content-list  > div{
  display:flex;
}

.paragraph--position--two > .paragraph-content > .paragraph-content-list > div {width:calc(50% - (var(--gap) * 0.5));}
.paragraph--position--three > .paragraph-content > .paragraph-content-list  > div{width:calc(33.33% - (var(--gapsmall) * 2 * 0.3333));}
.paragraph--position--four > .paragraph-content > .paragraph-content-list  > div{width:calc(25% - (var(--gapsmall) * 3 * 0.25));}

@media all and (max-width: 720px) {

.paragraph--position--four > .paragraph-content > .paragraph-content-list, 
.paragraph--position--three > .paragraph-content > .paragraph-content-list {
  justify-content: center;
}

.paragraph--position--two > .paragraph-content > .paragraph-content-list{
	flex-wrap: wrap;
}

.paragraph--position--three > .paragraph-content > .paragraph-content-list  > div,
.paragraph--position--four > .paragraph-content > .paragraph-content-list  > div{
width:calc(50% - (var(--gapsmall) * 0.5));
}

.paragraph--position--two > .paragraph-content > .paragraph-content-list > div{
	width:100%;
}

}

@media all and (max-width: 600px) {

.paragraph--position--three > .paragraph-content > .paragraph-content-list  > div,
.paragraph--position--four > .paragraph-content > .paragraph-content-list  > div{
	width:100%; 
}

}

/*========================================================
	paragraphs group
========================================================*/

.paragraph--position--bottom > .paragraph-content > .paragraph-content-list{align-items: end;}
.paragraph--position--top > .paragraph-content > .paragraph-content-list{align-items: start;}
.paragraph--position--center > .paragraph-content > .paragraph-content-list{align-items: center;}
.paragraph--position--inherit > .paragraph-content > .paragraph-content-list{align-items: inherit;}



/*===============================================================
	text - block
===============================================================*/


.paragraph-txt-block  .center{
  display: flex;
  justify-content: start;
  gap:var(--gapsmall) var(--gap);
  align-items: start;flex-wrap:wrap;
}

.paragraph-text{
	width:calc(50% - var(--gapsmall));
}

.paragraph-block{
	width:calc(50% - var(--gapsmall));
}

@media all and (max-width: 720px) {


.paragraph-text,
.paragraph-block{
width:100%;
}

}

/*===============================================================
	image
===============================================================*/


.field--name-field-image  img,
.paragraph--type--image img{
   width:100%;
} 


/*==================================================================================================================================
	galerie
==================================================================================================================================*/

.paragraph-content > .field--name-field-galerie,
.node > .field--name-field-galerie{
  display: flex;
  flex-wrap: wrap;
  justify-content: start;
  align-content: inherit;
    gap:var(--gapsmall)
}

.paragraph-content > .field--name-field-galerie .field__item,
.node > .field--name-field-galerie .field__item{
  display: flex;
  justify-content: start;
  align-content: inherit;
  width: calc(50% - (var(--gapsmall) * 0.5 ));
}

.itemscount-var3 .paragraph-content > .field--name-field-galerie  .field__item{
  width: calc(25% - (var(--gapsmall) * 3 * 0.25 ));
}


.paragraph-content > .field--name-field-galerie .field__item a img,
.node > .field--name-field-galerie .field__item a img{
  object-fit: cover;
}

.paragraph-content >  .field--name-field-galerie .field__item a,
.node >  .field--name-field-galerie .field__item a{
  display: flex;
  justify-content: start;
  align-content: inherit;
}

@media all and (max-width: 720px) {

.itemscount-var3 .paragraph-content > .field--name-field-galerie .field__item{
  width: calc(50% - (var(--gapsmall) * 0.5 ));
}

}


@media all and (max-width: 400px) {

.paragraph-content > .field--name-field-galerie .field__item,
.node > .field--name-field-galerie .field__item{
width:100%;
}

.itemscount-var3 .paragraph-content > .field--name-field-galerie .field__item{
  width: calc(50% - (var(--gapsmall) * 0.5 ));
}

}

/*==================================================================================================================================
	more gallery
==================================================================================================================================*/

.itemscount-var3 .paragraph-content > .field--name-field-galerie .field__item{
  display: none;
}

.itemscount-var3 .paragraph-content > .field--name-field-galerie .field__item:nth-child(4), 
.itemscount-var3 .paragraph-content > .field--name-field-galerie .field__item:nth-child(3), 
.itemscount-var3 .paragraph-content > .field--name-field-galerie .field__item:nth-child(2), 
.itemscount-var3 .paragraph-content > .field--name-field-galerie .field__item:nth-child(1){
  display: block;
}

.itemscount-var3 .paragraph-content.show >  .field--name-field-galerie .field__item {
  display: block;
}

 .field--name-field-galerie + .button{
margin-top:var(--gapsmall);
}

.button .showless {
  display: none;
}

.show .button .showmore {
  display: none;
}

.show .button .showless {
  display: inline-block;
}




/*==================================================================================================================================
	links
==================================================================================================================================*/

.paragraph-item-content-link2 {
display: inline-block;
  vertical-align: top;
  margin: var(--gapsmallest) var(--gapsmallest) var(--gapsmallest) 0px;
}


/*==================================================================================================================================
	odkazy - paragraphs
==================================================================================================================================*/

.paragraph-link a{
  display: flex;
  background: var(--dark_100);
  text-decoration: none;
  width: 100%;
  align-items: inherit;
color:var(--light_100);

  --link: var(--light_100);
  --linkHover: var(--light_100);

}


.paragraph-link .field--name-field-body{
       padding: var(--gapsmall);
}


.paragraph-link .field--name-field-body h3 {
  margin: 0px 0px 10px;
}

.paragraph-link .field--name-field-body p {
  color: var(--light_80);
  margin: 0px;
}

.paragraph-link .field--name-field-image {line-height:1px;
    flex-shrink: 0;
width:30%;
    display: flex;}
 
.paragraph-link .field--name-field-image img{
    object-fit: cover;
}

.paragraph-link a:hover, 
.paragraph-link a:focus {
  background: var(--primary_100);
}


/*==================================================================================================================================
	paragraphs - background
==================================================================================================================================*/

.background_gray {
  background: var(--dark_4);

}

.background_gray.paragraph--position--top .paragraph-img-txt-body{
  padding: 0px var(--gapsmall) var(--gapsmall);
}

